module Help exposing (replayUpdate, updateReplay)


replayUpdate : (msg -> model -> ( model, Cmd msg )) -> msg -> model -> model
replayUpdate update msg =
    Tuple.first << update msg


updateReplay : (msg -> model -> model) -> msg -> model -> ( model, Cmd msg )
updateReplay replay msg model =
    ( replay msg model
    , Cmd.none
    )
